/*
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package macampcorp.macamp.activities;

import android.app.Activity;
import android.app.IntentService;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.text.Html;
import android.view.View;
import android.widget.TextView;

import macampcorp.macamp.game.Game;
import macampcorp.macamp.utils.FontChangeCrawler;

public class CreditsActivity extends LocaleCompatActivity {

    private TextView mText;
    private static final String CREDITS="<h1> Credits </h1>\n" +
            "Ce jeux a été initié par la médiathèque Ma Campagne ainsi que le CSCS Louis Aragon\n" +
            "\n" +
            "<h2> Scénario </h2>\n" +
            "- <br>\n" +
            "- <br>\n" +
            "- <br>\n" +
            "\n" +
            "<h2> Réalisation des énigmes </h2>\n" +
            "- Quentin Bourgois<br>\n" +
            "- François Gautrais (RIB)<br>\n" +
            "\n" +
            "<h2> Son </h2>\n" +
            "- Romain : Le chasseur de monstre<br>\n" +
            "- Quentin Bourgois<br>\n" +
            "\n" +
            "<h2> Programmation </h2>\n" +
            "- François Gautrais (RIB)<br>\n" +
            "\n";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_credits);
        mText = (TextView) findViewById(R.id.tv_credits);
        if (android.os.Build.VERSION.SDK_INT < android.os.Build.VERSION_CODES.N) {
            mText.setText(Html.fromHtml(CREDITS));
        }else
        {
            mText.setText(Html.fromHtml(CREDITS, Html.FROM_HTML_MODE_COMPACT));
        }
    }

    public static final int REQUEST_CODE = 23;

    public static void start(Activity v)
    {
        Intent in = new Intent(v, CreditsActivity.class);
        v.startActivityForResult(in, REQUEST_CODE);
    }
    public void onBackClicked(View v) { onBackPressed(); }
}
